#
# Phi, X, Y, and Z syncing using Delta Tau Turbo PMAC Clipper
#

# Configure asyn TCP/IP port for ASCII communication with PMAC
drvAsynIPPortConfigure("pmacClipper","192.6.94.5:1025",0,0,0)
epicsThreadSleep(1.0) # avoid warning message about already being connected
asynOctetSetInputEos("pmacClipper",0,"\006")
asynOctetSetOutputEos("pmacClipper",0,"\r")

# (Optional) Asyn record device for asyn TCP/IP port
dbLoadRecords("$(ASYN)/db/asynRecord.db","P=ioc23:,R=asyn_pmacClipper,PORT=pmacClipper,ADDR=0,OMAX=256,IMAX=256")

# Load Exposync database for Phi synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoPhi,PORT=pmacClipper,TMOT=3.0,AV=P1,OPV=P2,CPV=P3,EPEV=P4,EPV=P5,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=degrees,DESC='Phi, 17-ID-B'")

# Load Exposync database for X synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoX,PORT=pmacClipper,TMOT=3.0,AV=P17,OPV=P18,CPV=P19,EPEV=P20,EPV=P21,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=mm,DESC='X, 17-ID-B'")

# Load Exposync database for Y synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoY,PORT=pmacClipper,TMOT=3.0,AV=P33,OPV=P34,CPV=P35,EPEV=P36,EPV=P37,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=mm,DESC='Y, 17-ID-B'")

# Load Exposync database for Z synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoZ,PORT=pmacClipper,TMOT=3.0,AV=P49,OPV=P50,CPV=P51,EPEV=P52,EPV=P53,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=mm,DESC='Z, 17-ID-B'")

iocInit()
