#
# Phi, X, Y, and Z syncing using Delta Tau Turbo PMAC2 VME Ultralite
#

# An asyn port for ASCII communication with the PMAC is assumed to have
# already been created as part of the tpmac setup.  It would look something
# like this (for DPRAM ASCII):
#
#   pmacAsynConfig(0,"PMAC_MBX_PORT_")
#   pmacDrvConfig(0,0,0,0,"PMAC_MBX_PORT_0")

# (Optional) Asyn record device for asyn TCP/IP port
dbLoadRecords("$(ASYN)/db/asynRecord.db","P=ioc23:,R=asyn_PMAC_MBX_PORT_0,PORT=PMAC_MBX_PORT_0,ADDR=0,OMAX=256,IMAX=256")

# Load Exposync database for Phi synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoPhi,PORT=PMAC_MBX_PORT_0,TMOT=1.0,AV=P1,OPV=P2,CPV=P3,EPEV=P4,EPV=P5,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=degrees,DESC='Phi, 17-ID-B'")

# Load Exposync database for X synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoX,PORT=PMAC_MBX_PORT_0,TMOT=3.0,AV=P17,OPV=P18,CPV=P19,EPEV=P20,EPV=P21,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=mm,DESC='X, 17-ID-B'")

# Load Exposync database for Y synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoY,PORT=PMAC_MBX_PORT_0,TMOT=3.0,AV=P33,OPV=P34,CPV=P35,EPEV=P36,EPV=P37,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=mm,DESC='Y, 17-ID-B'")

# Load Exposync database for Z synchronization
dbLoadRecords("$(TOP)/ioc23App/Db/exposync.db","P=ioc23:,E=ExpoZ,PORT=PMAC_MBX_PORT_0,TMOT=3.0,AV=P49,OPV=P50,CPV=P51,EPEV=P52,EPV=P53,MTV=P6,SV=P7,EV=P8,SP=8,OP=3,PP=3,PU=mm,DESC='Z, 17-ID-B'")

iocInit()
