#!/bin/sh

pv_prefix=ioc23:
asyn_rec_dev=asyn_pmacClipper

if [ "$1" = '-h' ] || [ "$1" = '--help' ]; then
  cat << EOF
Usage: asynRecord.sh [PV_PREFIX [ASYN_RECORD_DEVICE]]

Arguments:
  PV_PREFIX           PV name prefix (default: "$pv_prefix")
  ASYN_RECORD_DEVICE  Name of asyn record device (default: 
                      "$asyn_rec_dev")

Example: asynRecord.sh
Example: asynRecord.sh ioc1: asyn_pmacClipper2
EOF
  exit 0
fi

[ "$1" ] && pv_prefix="$1"
[ "$2" ] && asyn_rec_dev="$2"

exec medm -x -macro "P=$pv_prefix,R=$asyn_rec_dev" asynRecord.adl
