#!/bin/sh

pv_prefix='ioc23:'
exposync_name='ExpoPhi'

if [ "$1" = '-h' ] || [ "$1" = '--help' ]; then
  cat << EOF
Usage: control.sh [P [E]]

Arguments:
  P   PV prefix (default: "$pv_prefix")
  E   Exposync name (default: "$exposync_name")

Example: control.sh
Example: control.sh ioc1: ExpoPhi2
EOF
  exit 0
fi

[ "$1" ] && pv_prefix="$1"
[ "$2" ] && exposync_name="$2"

this_script_home=`dirname "$0"`
cd "$this_script_home"
if [ $? -ne 0 ]; then
  echo "$0: failed to cd to \"$this_script_home\"" 1>&2
  exit 1
fi
this_script_home=`pwd`
if [ $? -ne 0 ]; then
  echo "$0: failed to get current working directory" 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "$0: failed to cd to \"$this_script_home/../src\"" 1>&2
  exit 1
fi

exec medm -x -macro "P=$pv_prefix,E=$exposync_name" ./exposync.adl
